package com.example.mynotepad.MenuFeatures.Calender;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

import com.alirezaafkar.sundatepicker.DatePicker;
import com.alirezaafkar.sundatepicker.interfaces.DateSetListener;
import com.example.mynotepad.R;
import java.util.Calendar;

public class MyCalenderActivity extends AppCompatActivity {

    Date mDate;
    TextView tvDatePersion;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_my_calender);
        init();
    }

    private void init() {
        tvDatePersion = findViewById(R.id.dateTv);
        DatePicker.Builder builder = new DatePicker
                .Builder()
                .theme(R.style.DialogTheme)
                .future(true);
        mDate = new Date();
        builder.date(mDate.getDay(), mDate.getMonth(), mDate.getYear());
        builder.build(new DateSetListener() {
            @Override
            public void onDateSet(int id, @Nullable Calendar calendar, int day, int month, int year) {
                mDate.setDate(day, month, year);

                //textView
                tvDatePersion.setText(mDate.getDate());

            }
        }).show(getSupportFragmentManager(), "");
    }
}